%% Script para calculara regresion multiple de acuerdo al metodo STEPWISE
%%

clear
clf
S= xlsread('step.xls')
stepwise(S(:,2:5),S(:,1),[1 2 3 4])
pause
Media=mean(S(:,1)) - mean(S(:,2:5))*beta
% Reconstruccion
Y=S(:,2:5)*beta+Media
Hold on
TITLE('Observado (azul) y estimacion SW (rojo)')
plot(Y,'r')
plot(S(:,1),'b-')
hold off
shg